Subject: Re: bug#6302: 24.0.50; Unable to use su in term.

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 10 Jun 2010 09:17:37 +0200

Glenn Morris <[email-masked]> writes:

> Thierry Volpiatto wrote:
>
>>>    thierry@tux ~ $ su -l
>> Fail. (same with --login and -)
>>
>> So it's clear that come from the -l option of su.
>
> Is there anything odd in root's ~/.bash_profile (or whatever the
> appropriate config file for root login shells is)?
I have no .bash* files in /root.

> Does it work to su -l to a non-root user?
I have not such user, only me and root, so i can't test.
I could create a new user just for test purpose, but i think it's not
useful, if it was a problem related to general config of my system,
other shell would not work, but it is not the case, M-x shell and eshell
can su ==> root without problems.

> One with no shell config files?
>
> Can you put some debug statements in the shell config files to find
> out if they get sourced at all? If so, where do things go wrong?
Yes, .bashrc and .bash_profile are sourced.

>>> Also, can you M-x trace-function-background RET term-emulate-terminal
>>> RET, reproduce the problem and then show us the *trace-output*?
>> I can't find function `term-emulate-terminal'.
>
> ? It's in term.el.
Ok i have it now.

,----
| ======================================================================
| 1 -> term-emulate-terminal: proc=#<process *ansi-term*> str="Password: "
| 1 <- term-emulate-terminal: t
| ======================================================================
| 1 -> term-emulate-terminal: proc=#<process *ansi-term*> str="
| "
| 1 <- term-emulate-terminal: t
| ======================================================================
| 1 -> term-emulate-terminal: proc=#<process *ansi-term*> str="//home/thierry
| [01;32mthierry@tux[01;34m ~ $[00m "
| 1 <- term-emulate-terminal: t
| ======================================================================
`----

-- 
Thierry Volpiatto
Gpg key: http://pgp.mit.edu/